Bug 1574335 - mod_proxy_uwsgi package conflicts with httpd
Summary: mod_proxy_uwsgi package conflicts with httpd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: uwsgi
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jorge Gallegos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 05:28 UTC by Ian Wienand
Modified: 2018-11-13 02:27 UTC (History)
4 users (show)

Fixed In Version: uwsgi-2.0.17.1-5.fc27 uwsgi-2.0.17.1-5.fc29 uwsgi-2.0.17.1-5.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-03 22:05:58 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1599113 0 unspecified CLOSED httpd: obsolete mod_proxy_uwsgi 2021-02-22 00:41:40 UTC

Internal Links: 1599113

Description Ian Wienand 2018-05-03 05:28:46 UTC
It seems that httpd is shipping mod_proxy_uwsgi.so so we end up with a conflict when trying to install

---
Error: Transaction check error:
2018-05-03 04:41:08.948 |   file /usr/lib64/httpd/modules/mod_proxy_uwsgi.so from install of mod_proxy_uwsgi-2.0.16-1.fc28.x86_64 conflicts with file from package httpd-2.4.33-5.fc28.x86_64
---

AFAICT, this came in with Fedora 27.  Fedora 26 httpd (2.4.29-1) doesn't have it [1] and Fedora 27 & 28 httpd do (2.4.33) [2].  This matches the changelog which added in uwsgi proxy module in 2.4.30 [3]

After reading the uwsgi docs on apache support [4] it's not clear what version should be used?  Is the Apache committed one the canonical source now, and this version build from the uwsgi sources should be removed in F27/F28?  Or does this still have some value and httpd should move it into a sub-package so we can choose this one (this might be complicated, as i notice httpd now loads it by default [5] so maybe backwards compat is an issue)?

thanks

[1] https://koji.fedoraproject.org/koji/buildinfo?buildID=989034
[2] https://koji.fedoraproject.org/koji/buildinfo?buildID=1064242
[3] https://svn.apache.org/repos/asf/httpd/httpd/branches/2.4.x/CHANGES
[4] http://uwsgi-docs.readthedocs.io/en/latest/Apache.html
[5] https://src.fedoraproject.org/cgit/rpms/httpd.git/commit/?id=c7d07f31b9738c8f1f0d5b31b87e8474541e4818

Comment 1 Carl George 2018-07-09 01:31:45 UTC
https://github.com/unbit/uwsgi/issues/1636

The code for that module was "donated" to the Apache Software Foundation, so yes I would consider that the new canonical source.  In order to provide a clean upgrade path I've opened bug 1599113 to get httpd to obsolete mod_proxy_uwsgi.

Comment 2 Carl George 2018-11-03 22:05:58 UTC
Now that bug 1599113 is resolved, I've disabled mod_proxy_uwsgi in all Fedora branches.

https://koji.fedoraproject.org/koji/buildinfo?buildID=1159194

Comment 3 Fedora Update System 2018-11-03 22:15:04 UTC
uwsgi-2.0.17.1-5.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-29f60074d6

Comment 4 Fedora Update System 2018-11-03 22:15:11 UTC
uwsgi-2.0.17.1-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-176e9aa547

Comment 5 Fedora Update System 2018-11-03 22:15:18 UTC
uwsgi-2.0.17.1-5.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0b6eada70c

Comment 6 Fedora Update System 2018-11-04 02:55:09 UTC
uwsgi-2.0.17.1-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-176e9aa547

Comment 7 Fedora Update System 2018-11-04 06:39:00 UTC
uwsgi-2.0.17.1-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-29f60074d6

Comment 8 Fedora Update System 2018-11-04 22:31:44 UTC
uwsgi-2.0.17.1-5.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0b6eada70c

Comment 9 Fedora Update System 2018-11-13 02:14:21 UTC
uwsgi-2.0.17.1-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-11-13 02:21:46 UTC
uwsgi-2.0.17.1-5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-11-13 02:27:31 UTC
uwsgi-2.0.17.1-5.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.